const require_DidCommOutboundMessageContext = require('../../../../../models/DidCommOutboundMessageContext.js');
require('../../../../../models/index.js');
const require_DidCommBatchMessage = require('../messages/DidCommBatchMessage.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/message-pickup/protocol/v1/handlers/DidCommBatchHandler.ts
var DidCommBatchHandler = class {
	constructor(messagePickupProtocol) {
		this.supportedMessages = [require_DidCommBatchMessage.DidCommBatchMessage];
		this.messagePickupProtocol = messagePickupProtocol;
	}
	async handle(messageContext) {
		const connection = messageContext.assertReadyConnection();
		const batchRequestMessage = await this.messagePickupProtocol.processBatch(messageContext);
		if (batchRequestMessage) return new require_DidCommOutboundMessageContext.DidCommOutboundMessageContext(batchRequestMessage, {
			agentContext: messageContext.agentContext,
			connection
		});
	}
};

//#endregion
exports.DidCommBatchHandler = DidCommBatchHandler;